cURL
curl https://api.aiql.io/patterns/ptn_6e4c/mapping \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
mapping = client.patterns.mapping.list("ptn_6e4c")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const mapping = await client.patterns.mapping.list("ptn_6e4c");[
{
"id": "<string>",
"slot_kind": "<string>",
"slot_key": "<string>",
"status": "<string>",
"slot_name": "<string>",
"required": false,
"target_name": "<string>",
"target_names": [
"<string>"
],
"confidence": 123,
"rationale": "<string>"
}
]{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Patterns
Get Pattern Mapping
GET
/
patterns
/
{id}
/
mapping
cURL
curl https://api.aiql.io/patterns/ptn_6e4c/mapping \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
mapping = client.patterns.mapping.list("ptn_6e4c")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const mapping = await client.patterns.mapping.list("ptn_6e4c");[
{
"id": "<string>",
"slot_kind": "<string>",
"slot_key": "<string>",
"status": "<string>",
"slot_name": "<string>",
"required": false,
"target_name": "<string>",
"target_names": [
"<string>"
],
"confidence": 123,
"rationale": "<string>"
}
]{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Headers
ID of the workspace the request operates on.